"use client";

import Editor from "@monaco-editor/react";

interface MonacoEditorProps {
  language: string;
  template: string;
  value: string;
  onChange: (value: string) => void;
}

export default function MonacoEditor({
  language,
  value,
  onChange,
}: MonacoEditorProps) {
  return (
    <div className="h-full">
      <Editor
        theme="vs-light"
        language={language}
        value={value}
        onChange={(value) => onChange(value ?? "")}
        options={{ minimap: { enabled: false } }}
      />
    </div>
  );
}
